> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# 任务列表（火山兼容）

> 查询当前组织最近的 Seedance 兼容任务。

## 概览

列表接口返回当前组织最近的兼容任务。它适合控制台、重试和客户支持场景；如果你已经知道任务 ID，请优先使用查询任务接口。

另见 [Seedance 2.0 视频模型](/zh/guides/seedance-2-video) 和 [视频生成](/zh/guides/video-generation)。

## 列表与过滤

* `page_num`：默认 `1`。
* `page_size`：默认 `20`，最大 `500`。
* `filter.status`：`queued`、`running`、`succeeded`、`failed`、`cancelled` 或 `expired`。
* `filter.task_ids`：逗号分隔的任务 ID。
* `filter.model`：模型标识。
* `filter.service_tier`：例如 `default`。

响应包含 `items` 和 `total`。每个 `items[]` 元素使用与查询任务接口相同的任务结构。

## 示例

```bash theme={null}
curl "https://api.tokenlab.sh/api/v3/contents/generations/tasks?page_num=1&page_size=20&filter.status=succeeded" \
  -H "Authorization: Bearer $TOKENLAB_API_KEY"
```

```bash theme={null}
curl "https://api.tokenlab.sh/api/v3/contents/generations/tasks?filter.task_ids=cgt-0123456789abcdef0123456789abcdef" \
  -H "Authorization: Bearer $TOKENLAB_API_KEY"
```
